--- net/socket/ssl_test_util.cc
+++ net/socket/ssl_test_util.cc
@@ -12,7 +12,7 @@
 #if defined(OS_WIN)
 #include <windows.h>
 #include <wincrypt.h>
-#elif defined(OS_LINUX)
+#elif defined(USE_NSS)
 #include <nspr.h>
 #include <nss.h>
 #include <secerr.h>
@@ -46,7 +46,7 @@
 
 namespace {
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 static CERTCertificate* LoadTemporaryCert(const FilePath& filename) {
   base::EnsureNSSInit();
 
@@ -141,7 +141,7 @@ TestServerLauncher::TestServerLauncher() : process_handle_(
                                            forking_(false),
                                            connection_attempts_(10),
                                            connection_timeout_(1000)
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 , cert_(NULL)
 #endif
 {
@@ -154,7 +154,7 @@ TestServerLauncher::TestServerLauncher(int connection_attempts,
                           forking_(false),
                           connection_attempts_(connection_attempts),
                           connection_timeout_(connection_timeout)
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 , cert_(NULL)
 #endif
 {
@@ -356,7 +356,7 @@ bool TestServerLauncher::Stop() {
 }
 
 TestServerLauncher::~TestServerLauncher() {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   if (cert_)
     CERT_DestroyCertificate(reinterpret_cast<CERTCertificate*>(cert_));
 #elif defined(OS_MACOSX)
@@ -384,7 +384,7 @@ FilePath TestServerLauncher::GetExpiredCertPath() {
 }
 
 bool TestServerLauncher::LoadTestRootCert() {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   if (cert_)
     return true;
 
diff --git net/socket/ssl_test_util.h net/socket/ssl_test_util.h
index fb060da..1e93290 100644
